Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto.stax
Class EventFactoryImpl

    java.lang.Object
      javax.xml.stream.XMLEventFactory
          org.codehaus.stax2.evt.XMLEventFactory2
              org.codehaus.stax2.ri.Stax2EventFactoryImpl
                  com.fasterxml.aalto.stax.EventFactoryImpl

    public final class EventFactoryImpl

extends org.codehaus.stax2.ri.Stax2EventFactoryImpl

Simple event factory implementation, mostly based on the reference implementation included in Stax2 API jar.

Author:
  Tatu Saloranta

Field Summary

Fields inherited from class org.codehaus.stax2.ri.Stax2EventFactoryImpl
`mLocation`

Constructor Summary
`EventFactoryImpl()`

Method Summary
`protected QName` | `createQName(String nsURI, String localName)`
`protected QName` | `createQName(String nsURI, String localName, String prefix)`

Methods inherited from class org.codehaus.stax2.ri.Stax2EventFactoryImpl
`createAttribute, createAttribute, createAttribute, createCData, createCharacters, createComment, createDTD, createDTD, createDTD, createEndDocument, createEndElement, createEndElement, createEndElement, createEntityReference, createIgnorableSpace, createNamespace, createNamespace, createProcessingInstruction, createSpace, createStartDocument, createStartDocument, createStartDocument, createStartDocument, createStartElement, createStartElement, createStartElement, createStartElement, createStartElement, setLocation`

Methods inherited from class javax.xml.stream.XMLEventFactory
`newFactory, newFactory, newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventFactoryImpl

    public EventFactoryImpl()

Method Detail

### createQName

    protected QName createQName(String nsURI,
                                String localName)

  Specified by:
    `createQName` in class `org.codehaus.stax2.ri.Stax2EventFactoryImpl`

### createQName

    protected QName createQName(String nsURI,
                                String localName,
                                String prefix)

  Specified by:
    `createQName` in class `org.codehaus.stax2.ri.Stax2EventFactoryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Fasterxml.com. All Rights Reserved.